=head1 NAME

CFX5::CCLI::Dummy - dummy CCL-database-like object for CFX5::CCLI::Defaulted

=head1 SYNOPSIS

  $obj=CFX5::CCLI::Defaulted->new('DUMMY');

=head1 DESCRIPTION

This file provides a simple set of stubs which act a bit like the CCL
database object required by CFX5::CCLI::Defaulted.  It should probably
not be used on its own!  It simply provides the C<read_ccl_parm> and
C<set_ccl_parm> calls, which key into a hash.

=cut

package CFX5::CCLI::Dummy;

use strict;

sub new {
  my $this=shift;
  my $class=ref($this) || $this;
  my $self={};
  bless $self,$class;
  $self;
}

sub read_ccl_parm {
  my $self=shift;
  my $parm=shift;
  return $self->{$parm};
}

sub set_ccl_parm {
  my $self=shift;
  my $parm=shift;
  $parm=shift if ref($parm) eq 'HASH';
  $self->{$parm}=shift;
}

sub wipe {
  my $self=shift;
  %$self=();
}

1;
